<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\KursUebersicht;

class KursUebersichtPresenter extends \Kufer\KuferTools\Basis\KursUebersicht\KursUebersichtPresenter
{
  protected function getJsFilesSrcAryWeitere()
  {
    $jsFiles = parent::getJsFilesSrcAryWeitere();
    $jsFiles[] = $this->getJsFileFromOldTools('pdfdruck.js');
    $jsFiles[] = $this->getJsFileFromSys('pdfdruck.js');

    return $jsFiles;
  }

  protected function getJSDeclarations()
  {
    $result = parent::getJSDeclarations();
    $result .= \JsOperations::getDeclarationBoolean('KuferTools.IsBO', \DBWorkBASysSettings::isBadOeynhausen());

    return $result;
  }

  protected function getPanelTitleLink($kurs)
  {
    return 'index.php?tool_id=1&action=kursdetails&knr=' . urlencode($kurs->id);
  }
}